# -*- rpm-spec -*-
# $Id: kernel-feat-drivers-ide-hotswap,v 1.21 2004/03/11 11:02:41 tren Exp $
#

%define  patch_name kernel-feat-drivers-ide-hotswap
%define  klabel_24 2.4

Name: %patch_name
Version: 2004.01.19
Release: alt2

Summary: %patch_name kernel patch - ide hotswap support
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  1 01_%{patch_name}.patch				%klabel_24
%source  2 02_hotswap-module.patch				%klabel_24
%source  3 03_hotswap-dma.patch					%klabel_24
%source  4 04_hotswap-md.patch					%klabel_24
%source  5 05_busy.patch					%klabel_24
%source  6 06_hotswap-lock.patch				%klabel_24
%source  7 07_hotswap-hold.patch				%klabel_24
%source  8 08_hotswap_dm_remove.patch				%klabel_24

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
This is a patch to add IDE hotswap support and inform md about ide changes 

%prep

%install

%install_patches

%__mkdir_p %patches_dir/%patch_name/%klabel_24/kernel-fix-drivers-ide/
%__mv %patches_dir/%patch_name/%klabel_24/*.patch \
	%patches_dir/%patch_name/%klabel_24/kernel-fix-drivers-ide/

%files
%_usrsrc/*

%changelog
* Thu Mar  4 2004 Zhenja Kaluta <tren@altlinux.ru> 2004.01.19-alt2
- fixed kernel label

* Mon Jan 19 2004 Zhenja Kaluta <tren@altlinux.ru> 2004.01.19-alt1
- updated for 2.4.24
- updated for new kernel-build-tools

* Thu Dec 18 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt17
- Added patches from aw

* Thu Dec 18 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt9
- adopted for 2.4.22

* Wed Aug 20 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt8
- Added dma fix

* Fri Aug 15 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.08.05-alt7
- Removed dma fix

* Tue Aug 12 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt6
- Added dma fix

* Tue Aug 12 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt5
- Added dependency of kernel-fix-drivers-ide

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt4
- Added order labels to patch names

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt3
- Fixed to apply patch after IDE modularisation patch
- Added module fix

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt2
- Fixed to apply patch to aw kernel

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt1
- Initial release



